<!DOCTYPE html> 
<html> 
<head> 
	<meta charset="utf-8">
	<title></title>
	<script src="../jquery-2.0.3.min.js"></script>
	<script>
			var tmp = [];
			var timedelay = FireClass.getRefreshRate();
			var continBlink = false;
			var blinkRate = FireClass.getBlinkRate();
			var state = FireClass.getAlarmState();
			var state_mute = FireClass.getAlarmMuteState();
			$(document).ready(function(){
					/*
					fn();
					setTimeout("fn();",timedelay);
					Rstate();
					Mstate();
					*/
			});
			function Rstate()
			{
				if(state=='NaN')
					{
						$("#msg_div").html('عدم اتصال');
						$("#off_on").hide();
						$("#silent_bt").hide();
					}
				else if(state=='false')
				{
					$("#msg_div").html('دزدگير خاموش است');
					$("#off_on").show();
					$("#off_on").html('روشن كردن');
				}
				else if (state=='true')
				{
					$("#msg_div").html('دزدگير فعال');
					$("#off_on").show();
					$("#off_on").html('خاموش كردن');
				}
				else
				{
					$("#msg_div").html('وضعيت نا مشخص');
					$("#off_on").hide();
				}
			}
			function Mstate()
			{
				if(state_mute=='true')
				{
					$("#silent_div").html('حالت سكوت');
					$("#silent_bt").show();
					$("#silent_bt").html('خروج از حالت سكوت');
				}
				else if (state_mute=='false')
				{
					$("#silent_div").html('صدا فعال ');
					$("#silent_bt").show();
					$("#silent_bt").html('حالت سكوت');
				}
				else
				{
					$("#silent_div").html($("#msg_div").html()+' وضعيت نا مشخص ');
					$("#silent_bt").hide();
				}
			}
			function fn()
			{
				var jsonStr = FireClass.getSensors();
				var obj = JSON.parse(jsonStr);
				tmp = [];
				for(i = 0;i < obj.length;i++)
				{
					if(!obj[i].isOn)
						tmp.push(obj[i].id);
					//FireClass.showToast('id = '+obj[i].id+",isOn="+obj[i].isOn);
				}
				if(tmp.length>0)
				{
					continBlink = true;
					setTimeout('blinkDiv();',blinkRate);
				}
				else
					continBlink = false;
			}
			function blinkDiv()
			{
				if(continBlink)
				{
					for(var i=0;i<tmp.length;i++)
						if($("#main_"+tmp[i]).length>0)
							$("#main_"+tmp[i]).toggle();
					setTimeout('blinkDiv();',blinkRate);
				}
			}
			function off_s()
			{
				state = FireClass.toggleAlarm();
				Rstate();
			}
			function silent()
			{
				state_mute = FireClass.toggleAlarmMute();
				Mstate();
			}
			function test1()
			{
				FireClass.toggleAlarm();
			}
			function test2()
			{
				var ss = FireClass.getAlarmState();
				//FireClass.showToast(ss);
			}
		</script>
		<style>
			.using {
				width: 100%;
				font-family:tahoma;
				/*position:absolute;*/
			}
			img
			{
				height:100%;
			}
			.pointer
			{
				cursor:pointer;
			}
			.round
			{
				-webkit-border-radius: 8px;
				-moz-border-radius: 8px;
				border-radius: 8px;
			}
			.hass{
				background:#ff0000;
			}
		</style>
</head> 
<body style="background:#ffffff;">
<table width="100%" >
	<tr>
		<td>
			<img class="using" id="main" style="z-index:1;" src="img/dozd_naghshe.jpg" >
			<img class="using" id="main_0" style="z-index:2;display:none;" src="img/fire_naghshe_1.png" >
			<img class="using" id="main_1" style="z-index:2;display:none;" src="img/fire_naghshe_2.png" >
			<img class="using" id="main_2" style="z-index:2;display:none;" src="img/fire_naghshe_3.png" >
			<img class="using" id="main_3" style="z-index:2;display:none;" src="img/fire_naghshe_4.png" >
			<img class="using" id="main_4" style="z-index:2;display:none;" src="img/fire_naghshe_5.png" >
			<img class="using" id="main_5" style="z-index:2;display:none;" src="img/fire_naghshe_6.png" >
			<img class="using" id="main_6" style="z-index:2;display:none;" src="img/fire_naghshe_7.png" >
		</td>
		<td>
			<img src="img/7.png" >
		</td>
	</tr>
</table>	
</body>
</html>